{ config, lib, pkgs, modulesPath, ... }: {
  imports =
    [ (modulesPath + "/profiles/qemu-guest.nix")
    ];

  networking.useDHCP = lib.mkForce true;

  virtualisation.vmVariant = {
    # following configuration is added only when building VM with build-vm
    virtualisation = {
      memorySize = 2048; # Use 2048MiB memory.
      cores = 3;
      graphics = false;
    };
  };

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
